cURL
curl --request POST \
--url https://app.teable.ai/api/attachments/signature \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"contentType":"image/png","contentLength":123,"expiresIn":3600,"hash":"xxxxxxxx","type":1,"baseId":"string"}'{
"url": "https://example.com/attachment/upload",
"uploadMethod": "POST",
"token": "xxxxxxxx",
"requestHeaders": {
"Content-Type": "image/png"
}
}attachments
Post attachmentssignature
Retrieve upload signature.
POST
/
attachments
/
signature
cURL
curl --request POST \
--url https://app.teable.ai/api/attachments/signature \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"contentType":"image/png","contentLength":123,"expiresIn":3600,"hash":"xxxxxxxx","type":1,"baseId":"string"}'{
"url": "https://example.com/attachment/upload",
"uploadMethod": "POST",
"token": "xxxxxxxx",
"requestHeaders": {
"Content-Type": "image/png"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Mime type
Example:
"image/png"
File size
Example:
123
Type
Available options:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14 Example:
1
Token expire time, seconds
Example:
3600
File hash
Example:
"xxxxxxxx"
Response
201 - application/json
return the upload URL and the key.
Last modified on March 5, 2026
Was this page helpful?
⌘I

